Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: assetmgrmodel::AssetStripConfig::StripSettings Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
assetmgrmodel::AssetStripConfig::StripSettings Struct Reference

Settings for this Asset Strip. More...

`import <AssetStripConfig.idl;`

## Public Attributes
int | rackUnitCount
| rack unit count, number of rack units (range: 8..64), will be ignored on strips that auto-detect their rack unit count
string | name
| user defined name (up to 64 alphanumeric characters)
ScanMode | scanMode
| LED scan (demo) mode.
LEDColor | defaultColorConnected
| auto color for rack units with an asset tag connected
LEDColor | defaultColorDisconnected
| auto color for rack units without an asset tag connected
NumberingMode | numberingMode
| rack unit numbering mode (top down, bottom up)
int | numberingOffset
| rack unit numbering starting offset (default is 1)
Orientation | orientation
| orientation. If orientationSensAvailable, writes are ignored

## Detailed Description

Settings for this Asset Strip.

Definition at line 97 of file AssetStripConfig.idl.

## Member Data Documentation

## ◆ defaultColorConnected

LEDColor assetmgrmodel::AssetStripConfig::StripSettings::defaultColorConnected

auto color for rack units with an asset tag connected

Definition at line 101 of file AssetStripConfig.idl.

## ◆ defaultColorDisconnected

LEDColor assetmgrmodel::AssetStripConfig::StripSettings::defaultColorDisconnected

auto color for rack units without an asset tag connected

Definition at line 102 of file AssetStripConfig.idl.

## ◆ name

string assetmgrmodel::AssetStripConfig::StripSettings::name

user defined name (up to 64 alphanumeric characters)

Definition at line 99 of file AssetStripConfig.idl.

## ◆ numberingMode

NumberingMode assetmgrmodel::AssetStripConfig::StripSettings::numberingMode

rack unit numbering mode (top down, bottom up)

Definition at line 103 of file AssetStripConfig.idl.

## ◆ numberingOffset

int assetmgrmodel::AssetStripConfig::StripSettings::numberingOffset

rack unit numbering starting offset (default is 1)

Definition at line 104 of file AssetStripConfig.idl.

## ◆ orientation

Orientation assetmgrmodel::AssetStripConfig::StripSettings::orientation

orientation. If orientationSensAvailable, writes are ignored

Definition at line 105 of file AssetStripConfig.idl.

## ◆ rackUnitCount

int assetmgrmodel::AssetStripConfig::StripSettings::rackUnitCount

rack unit count, number of rack units (range: 8..64), will be ignored on strips that auto-detect their rack unit count

Definition at line 98 of file AssetStripConfig.idl.

## ◆ scanMode

ScanMode assetmgrmodel::AssetStripConfig::StripSettings::scanMode

LED scan (demo) mode.

Definition at line 100 of file AssetStripConfig.idl.

The documentation for this struct was generated from the following file:

- AssetStripConfig.idl